<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>org.apache.poi.ss.formula.functions (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="org.apache.poi.ss.formula.functions (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li class="navBarCell1Rev">Package</li>
        <li>Class</li>
        <li><a href="package-use.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../../org/apache/poi/ss/formula/function/package-summary.html">Prev&nbsp;Package</a>
        </li>
        <li><a href="../../../../../../org/apache/poi/ss/formula/ptg/package-summary.html">Next&nbsp;Package</a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/ss/formula/functions/package-summary.html"
               target="_top">Frames</a></li>
        <li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
    <h1 title="Package" class="title">Package&nbsp;org.apache.poi.ss.formula.functions</h1>
</div>
<div class="contentContainer">
    <ul class="blockList">
        <li class="blockList">
            <table class="typeSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Interface Summary table, listing interfaces, and an explanation">
                <caption><span>Interface Summary</span><span class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Interface</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/ss/formula/functions/ArrayFunction.html"
                            title="interface in org.apache.poi.ss.formula.functions">ArrayFunction</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/functions/ArrayMode.html"
                                            title="interface in org.apache.poi.ss.formula.functions">ArrayMode</a></td>
                    <td class="colLast">
                        <div class="block">Interface for those functions that evaluate arguments in array mode depending
                            on context.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/ss/formula/functions/FreeRefFunction.html"
                            title="interface in org.apache.poi.ss.formula.functions">FreeRefFunction</a></td>
                    <td class="colLast">
                        <div class="block">For most Excel functions, involving references ((cell, area), (2d, 3d)), the
                            references are
                            passed in as arguments, and the exact location remains fixed.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/functions/Function.html"
                                            title="interface in org.apache.poi.ss.formula.functions">Function</a></td>
                    <td class="colLast">
                        <div class="block">Common interface for all implementations of Excel built-in functions.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/ss/formula/functions/Function0Arg.html"
                            title="interface in org.apache.poi.ss.formula.functions">Function0Arg</a></td>
                    <td class="colLast">
                        <div class="block">Implemented by all functions that can be called with zero arguments</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/ss/formula/functions/Function1Arg.html"
                            title="interface in org.apache.poi.ss.formula.functions">Function1Arg</a></td>
                    <td class="colLast">
                        <div class="block">Implemented by all functions that can be called with one argument</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/ss/formula/functions/Function2Arg.html"
                            title="interface in org.apache.poi.ss.formula.functions">Function2Arg</a></td>
                    <td class="colLast">
                        <div class="block">Implemented by all functions that can be called with two arguments</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/ss/formula/functions/Function3Arg.html"
                            title="interface in org.apache.poi.ss.formula.functions">Function3Arg</a></td>
                    <td class="colLast">
                        <div class="block">Implemented by all functions that can be called with three arguments</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/ss/formula/functions/Function4Arg.html"
                            title="interface in org.apache.poi.ss.formula.functions">Function4Arg</a></td>
                    <td class="colLast">
                        <div class="block">Implemented by all functions that can be called with four arguments</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/ss/formula/functions/IDStarAlgorithm.html"
                            title="interface in org.apache.poi.ss.formula.functions">IDStarAlgorithm</a></td>
                    <td class="colLast">
                        <div class="block">Interface specifying how an algorithm to be used by <a
                                href="../../../../../../org/apache/poi/ss/formula/functions/DStarRunner.html"
                                title="class in org.apache.poi.ss.formula.functions"><code>DStarRunner</code></a> should
                            look like.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/ss/formula/functions/XYNumericFunction.Accumulator.html"
                            title="interface in org.apache.poi.ss.formula.functions">XYNumericFunction.Accumulator</a>
                    </td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList">
            <table class="typeSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Class Summary table, listing classes, and an explanation">
                <caption><span>Class Summary</span><span class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Class</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/functions/Address.html"
                                            title="class in org.apache.poi.ss.formula.functions">Address</a></td>
                    <td class="colLast">
                        <div class="block">Creates a text reference as text, given specified row and column numbers.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/ss/formula/functions/AggregateFunction.html"
                            title="class in org.apache.poi.ss.formula.functions">AggregateFunction</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/functions/Areas.html"
                                            title="class in org.apache.poi.ss.formula.functions">Areas</a></td>
                    <td class="colLast">
                        <div class="block">Returns the number of areas in a reference.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/ss/formula/functions/BaseNumberUtils.html"
                            title="class in org.apache.poi.ss.formula.functions">BaseNumberUtils</a></td>
                    <td class="colLast">
                        <div class="block">Some utils for converting from and to any base</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/functions/Bin2Dec.html"
                                            title="class in org.apache.poi.ss.formula.functions">Bin2Dec</a></td>
                    <td class="colLast">
                        <div class="block">Implementation for Excel Bin2Dec() function.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/ss/formula/functions/BooleanFunction.html"
                            title="class in org.apache.poi.ss.formula.functions">BooleanFunction</a></td>
                    <td class="colLast">
                        <div class="block">Here are the general rules concerning Boolean functions:

                            Blanks are ignored (not either true or false)
                            Strings are ignored if part of an area ref or cell ref, otherwise they must be 'true' or
                            'false'
                            Numbers: 0 is false.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/ss/formula/functions/CalendarFieldFunction.html"
                            title="class in org.apache.poi.ss.formula.functions">CalendarFieldFunction</a></td>
                    <td class="colLast">
                        <div class="block">Implementation of Excel functions Date parsing functions:
                            Date - DAY, MONTH and YEAR
                            Time - HOUR, MINUTE and SECOND
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/functions/Choose.html"
                                            title="class in org.apache.poi.ss.formula.functions">Choose</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/functions/Code.html"
                                            title="class in org.apache.poi.ss.formula.functions">Code</a></td>
                    <td class="colLast">
                        <div class="block">Implementation for Excel CODE () function.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/functions/Column.html"
                                            title="class in org.apache.poi.ss.formula.functions">Column</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/functions/Columns.html"
                                            title="class in org.apache.poi.ss.formula.functions">Columns</a></td>
                    <td class="colLast">
                        <div class="block">Implementation for Excel COLUMNS function.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/functions/Complex.html"
                                            title="class in org.apache.poi.ss.formula.functions">Complex</a></td>
                    <td class="colLast">
                        <div class="block">Implementation for Excel COMPLEX () function.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/functions/Count.html"
                                            title="class in org.apache.poi.ss.formula.functions">Count</a></td>
                    <td class="colLast">
                        <div class="block">Counts the number of cells that contain numeric data within
                            the list of arguments.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/functions/Counta.html"
                                            title="class in org.apache.poi.ss.formula.functions">Counta</a></td>
                    <td class="colLast">
                        <div class="block">Counts the number of cells that contain data within the list of arguments.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/functions/Countblank.html"
                                            title="class in org.apache.poi.ss.formula.functions">Countblank</a></td>
                    <td class="colLast">
                        <div class="block">Implementation for the function COUNTBLANK</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/functions/Countif.html"
                                            title="class in org.apache.poi.ss.formula.functions">Countif</a></td>
                    <td class="colLast">
                        <div class="block">Implementation for the function COUNTIF</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/ss/formula/functions/Countif.ErrorMatcher.html"
                            title="class in org.apache.poi.ss.formula.functions">Countif.ErrorMatcher</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/ss/formula/functions/Countif.StringMatcher.html"
                            title="class in org.apache.poi.ss.formula.functions">Countif.StringMatcher</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/functions/Countifs.html"
                                            title="class in org.apache.poi.ss.formula.functions">Countifs</a></td>
                    <td class="colLast">
                        <div class="block">Implementation for the function COUNTIFS</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/functions/DateFunc.html"
                                            title="class in org.apache.poi.ss.formula.functions">DateFunc</a></td>
                    <td class="colLast">
                        <div class="block">Implementation for the Excel function DATE</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/functions/Days360.html"
                                            title="class in org.apache.poi.ss.formula.functions">Days360</a></td>
                    <td class="colLast">
                        <div class="block">Calculates the number of days between two dates based on a 360-day year
                            (twelve 30-day months), which is used in some accounting calculations.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/functions/Dec2Bin.html"
                                            title="class in org.apache.poi.ss.formula.functions">Dec2Bin</a></td>
                    <td class="colLast">
                        <div class="block">Implementation for Excel Bin2Dec() function.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/functions/Dec2Hex.html"
                                            title="class in org.apache.poi.ss.formula.functions">Dec2Hex</a></td>
                    <td class="colLast">
                        <div class="block">Implementation for Excel DELTA() function.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/functions/Delta.html"
                                            title="class in org.apache.poi.ss.formula.functions">Delta</a></td>
                    <td class="colLast">
                        <div class="block">Implementation for Excel DELTA() function.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/functions/DGet.html"
                                            title="class in org.apache.poi.ss.formula.functions">DGet</a></td>
                    <td class="colLast">
                        <div class="block">Implementation of the DGet function:
                            Finds the value of a column in an area with given conditions.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/functions/DMax.html"
                                            title="class in org.apache.poi.ss.formula.functions">DMax</a></td>
                    <td class="colLast">
                        <div class="block">Implementation of the DMax function:
                            Finds the maximum value of a column in an area with given conditions.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/functions/DMin.html"
                                            title="class in org.apache.poi.ss.formula.functions">DMin</a></td>
                    <td class="colLast">
                        <div class="block">Implementation of the DMin function:
                            Finds the minimum value of a column in an area with given conditions.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/ss/formula/functions/DStarRunner.html"
                            title="class in org.apache.poi.ss.formula.functions">DStarRunner</a></td>
                    <td class="colLast">
                        <div class="block">This class performs a D* calculation.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/functions/DSum.html"
                                            title="class in org.apache.poi.ss.formula.functions">DSum</a></td>
                    <td class="colLast">
                        <div class="block">Implementation of the DSum function:
                            Finds the total value of matching values in a column in an area with given conditions.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/functions/EDate.html"
                                            title="class in org.apache.poi.ss.formula.functions">EDate</a></td>
                    <td class="colLast">
                        <div class="block">Implementation for Excel EDATE () function.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/functions/EOMonth.html"
                                            title="class in org.apache.poi.ss.formula.functions">EOMonth</a></td>
                    <td class="colLast">
                        <div class="block">Implementation for the Excel EOMONTH() function.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/functions/Errortype.html"
                                            title="class in org.apache.poi.ss.formula.functions">Errortype</a></td>
                    <td class="colLast">
                        <div class="block">Implementation for the ERROR.TYPE() Excel function.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/functions/Even.html"
                                            title="class in org.apache.poi.ss.formula.functions">Even</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/functions/FactDouble.html"
                                            title="class in org.apache.poi.ss.formula.functions">FactDouble</a></td>
                    <td class="colLast">
                        <div class="block">Implementation for Excel FACTDOUBLE() function.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/functions/Finance.html"
                                            title="class in org.apache.poi.ss.formula.functions">Finance</a></td>
                    <td class="colLast">
                        <div class="block">Implementation of the financial functions pmt, fv, ppmt, ipmt.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/ss/formula/functions/FinanceFunction.html"
                            title="class in org.apache.poi.ss.formula.functions">FinanceFunction</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/functions/FinanceLib.html"
                                            title="class in org.apache.poi.ss.formula.functions">FinanceLib</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/functions/Fixed.html"
                                            title="class in org.apache.poi.ss.formula.functions">Fixed</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/ss/formula/functions/Fixed0ArgFunction.html"
                            title="class in org.apache.poi.ss.formula.functions">Fixed0ArgFunction</a></td>
                    <td class="colLast">
                        <div class="block">Convenience base class for functions that only take zero arguments.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/ss/formula/functions/Fixed1ArgFunction.html"
                            title="class in org.apache.poi.ss.formula.functions">Fixed1ArgFunction</a></td>
                    <td class="colLast">
                        <div class="block">Convenience base class for functions that must take exactly one argument.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/ss/formula/functions/Fixed2ArgFunction.html"
                            title="class in org.apache.poi.ss.formula.functions">Fixed2ArgFunction</a></td>
                    <td class="colLast">
                        <div class="block">Convenience base class for functions that must take exactly two arguments.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/ss/formula/functions/Fixed3ArgFunction.html"
                            title="class in org.apache.poi.ss.formula.functions">Fixed3ArgFunction</a></td>
                    <td class="colLast">
                        <div class="block">Convenience base class for functions that must take exactly three
                            arguments.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/ss/formula/functions/Fixed4ArgFunction.html"
                            title="class in org.apache.poi.ss.formula.functions">Fixed4ArgFunction</a></td>
                    <td class="colLast">
                        <div class="block">Convenience base class for functions that must take exactly four arguments.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/functions/Frequency.html"
                                            title="class in org.apache.poi.ss.formula.functions">Frequency</a></td>
                    <td class="colLast">
                        <div class="block">Implementation of Excel 'Analysis ToolPak' function FREQUENCY()<br>
                            Returns a frequency distribution as a vertical array
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/functions/Hex2Dec.html"
                                            title="class in org.apache.poi.ss.formula.functions">Hex2Dec</a></td>
                    <td class="colLast">
                        <div class="block">Implementation for Excel HEX2DEC() function.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/functions/Hlookup.html"
                                            title="class in org.apache.poi.ss.formula.functions">Hlookup</a></td>
                    <td class="colLast">
                        <div class="block">Implementation of the HLOOKUP() function.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/functions/Hyperlink.html"
                                            title="class in org.apache.poi.ss.formula.functions">Hyperlink</a></td>
                    <td class="colLast">
                        <div class="block">Implementation of Excel HYPERLINK function.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/functions/IfFunc.html"
                                            title="class in org.apache.poi.ss.formula.functions">IfFunc</a></td>
                    <td class="colLast">
                        <div class="block">Implementation for the Excel function IF</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/functions/Imaginary.html"
                                            title="class in org.apache.poi.ss.formula.functions">Imaginary</a></td>
                    <td class="colLast">
                        <div class="block">Implementation for Excel IMAGINARY() function.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/functions/ImReal.html"
                                            title="class in org.apache.poi.ss.formula.functions">ImReal</a></td>
                    <td class="colLast">
                        <div class="block">Implementation for Excel ImReal() function.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/functions/Index.html"
                                            title="class in org.apache.poi.ss.formula.functions">Index</a></td>
                    <td class="colLast">
                        <div class="block">Implementation for the Excel function INDEX</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/functions/Indirect.html"
                                            title="class in org.apache.poi.ss.formula.functions">Indirect</a></td>
                    <td class="colLast">
                        <div class="block">Implementation for Excel function INDIRECT</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/functions/Intercept.html"
                                            title="class in org.apache.poi.ss.formula.functions">Intercept</a></td>
                    <td class="colLast">
                        <div class="block">Implementation of Excel function INTERCEPT()</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/functions/IPMT.html"
                                            title="class in org.apache.poi.ss.formula.functions">IPMT</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/functions/Irr.html"
                                            title="class in org.apache.poi.ss.formula.functions">Irr</a></td>
                    <td class="colLast">
                        <div class="block">Calculates the internal rate of return.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/ss/formula/functions/LinearRegressionFunction.html"
                            title="class in org.apache.poi.ss.formula.functions">LinearRegressionFunction</a></td>
                    <td class="colLast">
                        <div class="block">Base class for linear regression functions.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/ss/formula/functions/LogicalFunction.html"
                            title="class in org.apache.poi.ss.formula.functions">LogicalFunction</a></td>
                    <td class="colLast">
                        <div class="block">Implementation of the various ISxxx Logical Functions, which
                            take a single expression argument, and return True or False.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/functions/Lookup.html"
                                            title="class in org.apache.poi.ss.formula.functions">Lookup</a></td>
                    <td class="colLast">
                        <div class="block">Implementation of Excel function LOOKUP.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/functions/Match.html"
                                            title="class in org.apache.poi.ss.formula.functions">Match</a></td>
                    <td class="colLast">
                        <div class="block">Implementation for the MATCH() Excel function.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/ss/formula/functions/MatrixFunction.html"
                            title="class in org.apache.poi.ss.formula.functions">MatrixFunction</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/ss/formula/functions/MatrixFunction.MutableValueCollector.html"
                            title="class in org.apache.poi.ss.formula.functions">MatrixFunction.MutableValueCollector</a>
                    </td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/ss/formula/functions/MatrixFunction.OneArrayArg.html"
                            title="class in org.apache.poi.ss.formula.functions">MatrixFunction.OneArrayArg</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/ss/formula/functions/MatrixFunction.TwoArrayArg.html"
                            title="class in org.apache.poi.ss.formula.functions">MatrixFunction.TwoArrayArg</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/functions/MinaMaxa.html"
                                            title="class in org.apache.poi.ss.formula.functions">MinaMaxa</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/functions/Mirr.html"
                                            title="class in org.apache.poi.ss.formula.functions">Mirr</a></td>
                    <td class="colLast">
                        <div class="block">Calculates Modified internal rate of return.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/functions/Mode.html"
                                            title="class in org.apache.poi.ss.formula.functions">Mode</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/ss/formula/functions/MultiOperandNumericFunction.html"
                            title="class in org.apache.poi.ss.formula.functions">MultiOperandNumericFunction</a></td>
                    <td class="colLast">
                        <div class="block">This is the super class for all excel function evaluator
                            classes that take variable number of operands, and
                            where the order of operands does not matter
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/functions/Na.html"
                                            title="class in org.apache.poi.ss.formula.functions">Na</a></td>
                    <td class="colLast">
                        <div class="block">Implementation of Excel function NA()</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/ss/formula/functions/NotImplementedFunction.html"
                            title="class in org.apache.poi.ss.formula.functions">NotImplementedFunction</a></td>
                    <td class="colLast">
                        <div class="block">This is the default implementation of a Function class.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/functions/Now.html"
                                            title="class in org.apache.poi.ss.formula.functions">Now</a></td>
                    <td class="colLast">
                        <div class="block">Implementation of Excel NOW() Function</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/functions/Npv.html"
                                            title="class in org.apache.poi.ss.formula.functions">Npv</a></td>
                    <td class="colLast">
                        <div class="block">Calculates the net present value of an investment by using a discount rate
                            and a series of future payments (negative values) and income (positive
                            values).
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/ss/formula/functions/NumericFunction.html"
                            title="class in org.apache.poi.ss.formula.functions">NumericFunction</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/ss/formula/functions/NumericFunction.OneArg.html"
                            title="class in org.apache.poi.ss.formula.functions">NumericFunction.OneArg</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/ss/formula/functions/NumericFunction.TwoArg.html"
                            title="class in org.apache.poi.ss.formula.functions">NumericFunction.TwoArg</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/functions/Oct2Dec.html"
                                            title="class in org.apache.poi.ss.formula.functions">Oct2Dec</a></td>
                    <td class="colLast">
                        <div class="block">Implementation for Excel Oct2Dec() function.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/functions/Odd.html"
                                            title="class in org.apache.poi.ss.formula.functions">Odd</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/functions/Offset.html"
                                            title="class in org.apache.poi.ss.formula.functions">Offset</a></td>
                    <td class="colLast">
                        <div class="block">Implementation for Excel function OFFSET()</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/functions/PPMT.html"
                                            title="class in org.apache.poi.ss.formula.functions">PPMT</a></td>
                    <td class="colLast">
                        <div class="block">Compute the interest portion of a payment.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/functions/Quotient.html"
                                            title="class in org.apache.poi.ss.formula.functions">Quotient</a></td>
                    <td class="colLast">
                        <div class="block">Implementation for Excel QUOTIENT () function.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/functions/Rank.html"
                                            title="class in org.apache.poi.ss.formula.functions">Rank</a></td>
                    <td class="colLast">
                        <div class="block">Returns the rank of a number in a list of numbers.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/functions/Rate.html"
                                            title="class in org.apache.poi.ss.formula.functions">Rate</a></td>
                    <td class="colLast">
                        <div class="block">Implements the Excel Rate function</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/functions/Replace.html"
                                            title="class in org.apache.poi.ss.formula.functions">Replace</a></td>
                    <td class="colLast">
                        <div class="block">An implementation of the Excel REPLACE() function:</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/functions/Rept.html"
                                            title="class in org.apache.poi.ss.formula.functions">Rept</a></td>
                    <td class="colLast">
                        <div class="block">Implementation for Excel REPT () function.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/functions/Roman.html"
                                            title="class in org.apache.poi.ss.formula.functions">Roman</a></td>
                    <td class="colLast">
                        <div class="block">Implementation for Excel WeekNum() function.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/functions/RowFunc.html"
                                            title="class in org.apache.poi.ss.formula.functions">RowFunc</a></td>
                    <td class="colLast">
                        <div class="block">Implementation for the Excel function ROW</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/functions/Rows.html"
                                            title="class in org.apache.poi.ss.formula.functions">Rows</a></td>
                    <td class="colLast">
                        <div class="block">Implementation for Excel ROWS function.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/functions/Slope.html"
                                            title="class in org.apache.poi.ss.formula.functions">Slope</a></td>
                    <td class="colLast">
                        <div class="block">Implementation of Excel function SLOPE()</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/functions/Substitute.html"
                                            title="class in org.apache.poi.ss.formula.functions">Substitute</a></td>
                    <td class="colLast">
                        <div class="block">An implementation of the SUBSTITUTE function:</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/functions/Subtotal.html"
                                            title="class in org.apache.poi.ss.formula.functions">Subtotal</a></td>
                    <td class="colLast">
                        <div class="block">Implementation for the Excel function SUBTOTAL</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/functions/Sumif.html"
                                            title="class in org.apache.poi.ss.formula.functions">Sumif</a></td>
                    <td class="colLast">
                        <div class="block">Implementation for the Excel function SUMIF</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/functions/Sumifs.html"
                                            title="class in org.apache.poi.ss.formula.functions">Sumifs</a></td>
                    <td class="colLast">
                        <div class="block">Implementation for the Excel function SUMIFS</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/functions/Sumproduct.html"
                                            title="class in org.apache.poi.ss.formula.functions">Sumproduct</a></td>
                    <td class="colLast">
                        <div class="block">Implementation for the Excel function SUMPRODUCT</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/functions/Sumx2my2.html"
                                            title="class in org.apache.poi.ss.formula.functions">Sumx2my2</a></td>
                    <td class="colLast">
                        <div class="block">Implementation of Excel function SUMX2MY2()</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/functions/Sumx2py2.html"
                                            title="class in org.apache.poi.ss.formula.functions">Sumx2py2</a></td>
                    <td class="colLast">
                        <div class="block">Implementation of Excel function SUMX2PY2()</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/functions/Sumxmy2.html"
                                            title="class in org.apache.poi.ss.formula.functions">Sumxmy2</a></td>
                    <td class="colLast">
                        <div class="block">Implementation of Excel function SUMXMY2()</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/functions/T.html"
                                            title="class in org.apache.poi.ss.formula.functions">T</a></td>
                    <td class="colLast">
                        <div class="block">Implementation of Excel T() function</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/ss/formula/functions/TextFunction.html"
                            title="class in org.apache.poi.ss.formula.functions">TextFunction</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/functions/TimeFunc.html"
                                            title="class in org.apache.poi.ss.formula.functions">TimeFunc</a></td>
                    <td class="colLast">
                        <div class="block">Implementation for the Excel function TIME</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/functions/Today.html"
                                            title="class in org.apache.poi.ss.formula.functions">Today</a></td>
                    <td class="colLast">
                        <div class="block">Implementation of Excel TODAY() Function<br></div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/functions/Trend.html"
                                            title="class in org.apache.poi.ss.formula.functions">Trend</a></td>
                    <td class="colLast">
                        <div class="block">Implementation for the Excel function TREND</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/functions/Value.html"
                                            title="class in org.apache.poi.ss.formula.functions">Value</a></td>
                    <td class="colLast">
                        <div class="block">Implementation for Excel VALUE() function.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/functions/Vlookup.html"
                                            title="class in org.apache.poi.ss.formula.functions">Vlookup</a></td>
                    <td class="colLast">
                        <div class="block">Implementation of the VLOOKUP() function.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/ss/formula/functions/WeekdayFunc.html"
                            title="class in org.apache.poi.ss.formula.functions">WeekdayFunc</a></td>
                    <td class="colLast">
                        <div class="block">Implementation for the Excel function WEEKDAY</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/functions/WeekNum.html"
                                            title="class in org.apache.poi.ss.formula.functions">WeekNum</a></td>
                    <td class="colLast">
                        <div class="block">Implementation for Excel WeekNum() function.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/ss/formula/functions/XYNumericFunction.html"
                            title="class in org.apache.poi.ss.formula.functions">XYNumericFunction</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList">
            <table class="typeSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Enum Summary table, listing enums, and an explanation">
                <caption><span>Enum Summary</span><span class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Enum</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/ss/formula/functions/DStarRunner.DStarAlgorithmEnum.html"
                            title="enum in org.apache.poi.ss.formula.functions">DStarRunner.DStarAlgorithmEnum</a></td>
                    <td class="colLast">
                        <div class="block">Enum for convenience to identify and source implementations of the D*
                            functions
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/ss/formula/functions/LinearRegressionFunction.FUNCTION.html"
                            title="enum in org.apache.poi.ss.formula.functions">LinearRegressionFunction.FUNCTION</a>
                    </td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                </tbody>
            </table>
        </li>
    </ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li class="navBarCell1Rev">Package</li>
        <li>Class</li>
        <li><a href="package-use.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../../org/apache/poi/ss/formula/function/package-summary.html">Prev&nbsp;Package</a>
        </li>
        <li><a href="../../../../../../org/apache/poi/ss/formula/ptg/package-summary.html">Next&nbsp;Package</a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/ss/formula/functions/package-summary.html"
               target="_top">Frames</a></li>
        <li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
